\documentclass[border=10pt,svgnames]{standalone} 
\usepackage{xcolor}
\usepackage{pgfplots}
\usetikzlibrary{positioning, arrows, shadows, backgrounds, fit, arrows.meta, patterns} 
\usetikzlibrary{shapes, shapes.geometric}
\usetikzlibrary{arrows}

\newcommand\stackfour[1]{
	\tikzset{
		stack_style/.style= {cylinder, below left = -.5cm and 0.3cm of #1, shape border rotate=90, draw, minimum height=.1cm,minimum width=.85cm, fill=monorange},
	}

	\node (db-slice1) [stack_style] {};	
	\foreach \x [evaluate=\x as \i using {int(\x+1)}]  in {1,2,3} {	
		\node (db-slice\i) [stack_style, above=0pt of db-slice\x.before top,anchor=after bottom] {};
	}	
}

\newcommand\stackthree[1]{
	\tikzset{
		stack_style/.style= {cylinder, below left = -.5cm and 0.3cm of #1, shape border rotate=90, draw, minimum height=.1cm,minimum width=.85cm, fill=monorange},
	}
	
	\node (db-slice1) [stack_style] {};	
	\foreach \x [evaluate=\x as \i using {int(\x+1)}]  in {1,2} {	
		\node (db-slice\i) [stack_style, above=0pt of db-slice\x.before top, anchor=after bottom] {};		
	}	
}

\newcommand\stacktwo[1]{
	\node (db-slice1) [cylinder, below left = -.5cm and 0.3cm of #1, shape border rotate=90, draw,
	minimum height=.1cm,minimum width=.85cm, fill=monorange] {};
	\node (db-slice2) [cylinder, shape border rotate=90, draw,
	minimum height=.1cm,minimum width=.85cm,
	above=0pt of db-slice1.before top, anchor=after bottom, fill=monorange] {};
}

\newcommand\stackone[1]{\node (db-slice1) [cylinder, below left = -.5cm and 0.3cm of #1, shape border rotate=90, draw, minimum height=.1cm,minimum width=.85cm, fill=monorange] {};
}

\xdefinecolor{monorange}{RGB}{242,154,66}
\xdefinecolor{monlot}{RGB}{255,75,9}
\xdefinecolor{monrose}{RGB}{240,41,114}
\xdefinecolor{monbleunuit}{RGB}{41,108,240}

\begin{document}

\begin{tikzpicture}[auto, scale=0.7, every node/.style={transform shape}]

\tikzset{ 
	style_step/.style= {rectangle, rounded corners=2pt, thin,align=center,text width=.9cm, minimum height=1cm, draw=red!75, fill=red!20,  font=\bfseries\sffamily\large, },
	style_step2/.style= {draw, signal, rounded corners=2pt, thin, align=center, drop shadow, minimum height=.9cm, font=\bfseries\sffamily,  text width=1.4cm, red!50!black, fill=FireBrick,  signal to = east, signal from =west,}
}

\node[style_step2, fill = WhiteSmoke, draw=black!75,text = black] (s1) {step 1};
\foreach \x [evaluate=\x as \i using {int(\x-1)}]  in {2,...,5} {
	\node[style_step2, right = 1.7cm of s\i, text =white,] (s\x) {step \x};
}

\node[style_step2, right = 1.7cm of s5,  fill = WhiteSmoke, draw=black!75,text = black] (s6) {step 6};

\node[regular polygon, regular polygon sides=3, below right = 9cm and .6cm of s1, fill=Green,  minimum height=2.7em, ] (sec_1) {};

\node[below = 0.05 cm of sec_1,text width = 1cm, font=\bfseries\sffamily, align=center,] (sec_1_text) {secure area};

\node[regular polygon, regular polygon sides=3, below left = 9cm and .6cm of s6, fill= Green,  minimum height=2.7em, opacity = 1] (sec_2) {};

\node[below = 0.05 cm of sec_2, text width = 1cm, align=center, font=\bfseries\sffamily] (sec_2_text) {secure area};  

\shade[ left color= Khaki!80,
right color=Khaki!80,
middle color= Khaki, opacity = .3, rounded corners=15pt ]   ([yshift=-.35cm, xshift = 1.7cm]s1)  rectangle(sec_2);


\node[style_step, below left = 3cm  and -1.5cm of s1, fill =gray,  text =white, draw=black!75,] (m00) {M0};  \stackfour{m00};
\node (db-slice1) [cylinder, right = 0.2cm of m00, shape border rotate=90, draw,
minimum height=.1cm,minimum width=.8cm, fill=monlot, fill opacity = 1] (lot) {}; 

\node[style_step, below = 1cm of s2, fill = DarkBlue,  text =white, draw=black!75,] (m11) {M1};
\stacktwo{m11}; 

\node[style_step, below = 1cm of m11, fill = DarkBlue,  text =white, draw=black!75,] (m12) {M2};
\stackthree{m12};

\node[style_step, below = 1cm of m12, fill = DarkBlue,  text =white, draw=black!75,] (m13) {M3}; 

\stackone{m13};

\node[style_step, below = 1.5cm of s3, fill = DodgerBlue,  text =white, draw=black!75,] (m31) {M4};

\node[style_step, below = 1cm of m31, fill = DodgerBlue,  text =white, draw=black!75,] (m32) {M5};
\stacktwo{m32};

\node[style_step, below = 1cm of s4,   text =black, draw=black!10,  fill =black!10, pattern= north east lines] (m41) {};
\stacktwo{m41}; 

\node[style_step, below = -.79cm of m41,  text width=.6cm, minimum height=.45cm, align = center, text =black, draw = white,  fill =white, opacity = .8] (m441) {M6};

\node[style_step, below = 1cm of m41, fill = DarkBlue,  text =white, draw=black!75,] (m42) {M2};
\stackthree{m42};

\node[style_step, below = 1cm of m42, fill = DarkBlue,  text =white, draw=black!75,] (m43) {M3}; 

\stackone{m43};  

\node[style_step, below = 0.5cm of s5, fill = monbleunuit,  text =white, draw=black!75,] (m51) {M7};
\stacktwo{m51};

\node[style_step, below = .9cm of m51, fill = monbleunuit,  text =white, draw=black!75,] (m52) {M8};
\stackfour{m52};

\node[style_step, below = .9cm of m52, fill = monbleunuit,  text =white, draw=black!75,] (m53) {M9};
\stackthree{m53};
\node[style_step, below = .9cm of m53, fill = monbleunuit,  text =white, draw=black!75,] (m54) {M10};
\stacktwo{m54};

\node[style_step, below = 1.75cm of s6, fill = gray,  text =white, draw=black!75,] (m61) {M11};
\stackthree{m61};

\node[style_step, below = 1cm of m61, fill = gray,  text =white, draw=black!75,] (m62) {M12};
\stackone{m62}; 	 

\node[below left = 7.2cm and .2cm of s2] (a1){};
\node[below right = 7.2cm and .2 cm of s4] (b1){};
\draw[|-|, >=latex, very thick, Gray, line width=1.25pt]   (a1) to node[black,font=\sffamily\bfseries, below]{Time Constraint 1} (b1) ;

\node[below left = 8.5cm and .1cm of s3] (c1){};
\node[below right = 8.5cm and .1cm of s4] (d1){};
\draw[|-|, >=latex, very thick, Gray, line width=1.25pt]   (c1) to node[black,font=\sffamily\bfseries, below]{Time Constraint 2} (d1) ; 

\node[below left = 7.75cm and .1cm of s4] (e1){};
\node[below right = 7.75cm and 0.1 of s5] (f1){};
\draw[|-|, >=latex, very thick, Gray, line width=1.25pt]   (e1) to node[black,font=\sffamily\bfseries, below]{Time Constraint 3} (f1) ; 

\node[ below left = 9.25cm and .2cm of s2] (a){};
\node[ below right = 9.25cm and .2cm of s5] (b){};

\draw[|-|, >=latex, very thick, line width=2pt]   (a) to node[black,font=\bfseries\sffamily\large, below]{Time Constraint Tunnel} (b) ;	

\draw[dotted,  line width=2pt, ] (sec_1.north) --+(0,9.6);    	
\draw[dotted,  line width=2pt]   (sec_2.north) --+(0,9.6);     	

\begin{scope}[on background layer]
\node [fit= (s1) (s2) (s3) (s4) (s6), fill= black!10,   inner xsep= 45pt, inner ysep = -1pt,] {};

\end{scope}	

\draw [line width=.5cm, draw=red!40,  opacity = .45, ]  (lot.east) 
..  controls +(0:1) and +(180:1.4) .. (m13)  
.. controls +(0:1.5) and +(180:1.5) .. (m31) 
..  controls+(0:1.5) and +(180:1.5) .. (m43)
.. controls +(0:1.6) and +(180:1.6) .. (m51) 
.. controls +(0:1.5) and +(180:1.5) ..  (m62);

\node[draw,rectangle, thin,align=center, fill = White, dashed,  text width=2.65cm, align=left, minimum height=2.5cm, below = 1.2cm of m00,  font = \sffamily\bfseries, text = Black!70,  ] (Legende) {};


\node[style_step, below left = -2.25cm  and -1.1cm of Legende, fill =gray,  text =white, draw= black!55,scale = .8] (ml1) {};
\node[style_step, below = .35cm of ml1,   text =black, draw=black!10,  fill =black!10, pattern= north east lines, scale =0.8] (ml2) {};

\node[right = .1cm of ml1, font=\sffamily, thin,] (lege) {In-Work};
\node[right = .1cm of ml2, font=\sffamily, thin,] (legend) {Down};	
\end{tikzpicture}

\end{document}